# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['truecallerpy']

package_data = \
{'': ['*']}

install_requires = \
['phonenumbers>=8.12.52,<9.0.0', 'requests>=2.28.1,<3.0.0']

entry_points = \
{'console_scripts': ['truecallerpy = truecallerpy.app:ExecuteTrurcallerPy']}

setup_kwargs = {
    'name': 'truecallerpy',
    'version': '0.1.1',
    'description': 'A package to find phone number details',
    'long_description': '<h1 id="truecallerpy">\n    <a href="https://github.com/sumithemmadi/truecallerpy">Truecallerpy</a>\n</h1>\n\n[![PyPI - Implementation](https://img.shields.io/pypi/v/truecallerpy?style=flat-square)](https://pypi.org/project/truecallerpy)\n[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/truecallerpy?style=flat-square)](https://pypi.org/project/truecallerpy)\n[![PyPI - Downloads](https://img.shields.io/pypi/dm/truecallerpy?style=flat-square)](https://pypistats.org/packages/truecallerpy)\n[![PyPI - License](https://img.shields.io/pypi/l/truecallerpy?style=flat-square)](https://github.com/sumithemmadi/truecallerpy/edit/main/LICENSE.md)\n[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fsumithemmadi%2Ftruecallerpy.svg?type=shield)](https://app.fossa.com/projects/git%2Bgithub.com%2Fsumithemmadi%2Ftruecallerpy?ref=badge_shield)\n\n\n<p>A  package to search phone number details.</p>\n\n\n# Requirements\n\n* Valid Mobile Number(Phone number verification for truecaller)\n* [Truecaller InstallationId](https://github.com/sumithemmadi/truecallerpy#InstallationId)\n\n## [Command Line Usage](https://github.com/sumithemmadi/truecallerpy)\n\n### Installation\n\nInstall this pip package\n\n```bash\npip install truecallerpy\n```\n\n### Login\n\nThen  login to your truecaller account .\n\n```bash\n~$ truecallerpy --login\n```\n\n> If you get any error try running \'**sudo truecallerpy --login**\'. If you are using Windows try the command with **Adminitrative Privilege**.\n\n> If you still facing problems in login then try below steps.\n\n   1. On Truecaller Android, tap on the 3 line menu on top left then click on `setting\'s`.\n   2. Tap on `Privacy Center` and then click on `Download my data`.\n   3. Now a json file is downloaded. \n   4. Save the json file on your PC at any location e.g /home/HP/1234567890-99123456789.json\n   5. On you terminal or command prompt enter below command.\n   ```\n   ~$ truecallerpy --login -f /home/HP/1234567890-99123456789.json\n   ```\n   6. Now you are successfully logged in.\n\n\n### InstallationId\n\nEnter the below command to see your **InstallationId**.\n\n```bash\n~$ truecallerpy --installationid\n```\n\nPrint only installation Id.\n\n```bash\n~$ truecallerpy -i -r\n```\n\n### Searching a number\n\n```bash\n~$ truecallerpy -s [number]\n```\n\n```yaml\n{\n   "data": [\n      {\n         "id": "jsiebejebbeebhee/dnss00w==",\n         "name": "Sumith Emmadi",\n         "imId": "1g7rm006b356o",\n         "gender": "UNKNOWN",\n         "image": "https://storage.googleapis.com/tc-images-noneu/myview/1/jdvdidbdhvdjdvddbkdbeiebeieb",\n         "score": 0.9,\n         "access": "PUBLIC",\n         "enhanced": true,\n         "phones": [\n            {\n               "e164Format": "+000000000000",\n               "numberType": "MOBILE",\n               "nationalFormat": "+000000000000",\n               "dialingCode": 91,\n               "countryCode": "IN",\n               "carrier": "Airtel",\n               "type": "openPhone"\n            }\n         ],\n         "addresses": [\n            {\n               "city": "Andhra Pradesh",\n               "countryCode": "IN",\n               "timeZone": "+05:30",\n               "type": "address"\n            }\n         ],\n         "internetAddresses": [\n            {\n               "id": "email@gmail.com",\n               "service": "email",\n               "caption": "Sumith Emmadi",\n               "type": "internetAddress"\n            }\n         ],\n         "badges": [\n            "verified",\n            "user"\n         ],\n         "cacheTtl": "",\n         "sources": [],\n         "searchWarnings": [],\n         "surveys": []\n      }\n   ],\n   "provider": "ss-nu",\n   "stats": {\n      "sourceStats": []\n   }\n}\n```\n\nTo get raw output.\n\n```bash\n~$ truecallerpy -s [number] -r\n{"data":[{"id":"jsiebejebbeebhee/dnss00w==","name":"Sumith Emmadi","imId":"1g7rm006b356o","gender":"UNKNOWN","image":"https://storage.googleapis.com/tc-images-noneu/myview/1/jdvdidbdhvdjdvddbkdbeiebeieb","score":0.9,"access":"PUBLIC","enhanced":true,\n"phones":[{"e164Format":"+000000000000","numberType":"MOBILE","nationalFormat":"+000000000000","dialingCode":91,"countryCode":"IN","carrier":"Airtel","type":"openPhone"}],"addresses":[{"city":"Andhra Pradesh","countryCode":"IN","timeZone":"+05:30","type":"address"}],\n"internetAddresses":[{"id":"email@gmail.com","service":"email","caption":"Sumith Emmadi","type":"internetAddress"}],"badges":["verified","user"],"cacheTtl":"","sources":[],"searchWarnings":[],"surveys":[]}],"provider":"ss-nu","stats":{"sourceStats":[]}}\n```\n\n\nTo print only name.\n\n```bash\n~$ truecallerpy -s [number] --name\nName : Sumith Emmadi\n```\n\nOther command\'s\n\n```bash\n~$ truecallerpy -s [number] -r --name\n\nSumith Emmadi\n```\n\nTo print only email.\n\n```bash\n~$ truecallerpy -s [number] --email\nEmail : username@email.com\n```\n\nOther command\'s\n\n```bash\n~$ truecallerpy -s [number] --email -r \n\nusername@email.com\n```\n\n\n#### To get only JSON output\n\n```bash\n~$ truecallerpy -s [number] --json\n```\n```bash\n~$ truecallerpy -s [number] -r --json\n{"data":[{"id":"jsiebejebbeebhee/dnss00w==","name":"Sumith Emmadi","imId":"1g7rm006b356o","gender":"UNKNOWN","image":"https://storage.googleapis.com/tc-images-noneu/myview/1/jdvdidbdhvdjdvddbkdbeiebeieb","score":0.9,"access":"PUBLIC","enhanced":true,\n"phones":[{"e164Format":"+000000000000","numberType":"MOBILE","nationalFormat":"+000000000000","dialingCode":91,"countryCode":"IN","carrier":"Airtel","type":"openPhone"}],"addresses":[{"city":"Andhra Pradesh","countryCode":"IN","timeZone":"+05:30","type":"address"}],\n"internetAddresses":[{"id":"email@gmail.com","service":"email","caption":"Sumith Emmadi","type":"internetAddress"}],"badges":["verified","user"],"cacheTtl":"","sources":[],"searchWarnings":[],"surveys":[]}],"provider":"ss-nu","stats":{"sourceStats":[]}}\n```\n\n### To make a bulk search \n\n```\n~$ truecallerpy --bs [Numbers seperated by comma]\n```\n\n```\nExample : \n ~$ truecallerpy --bs 9912345678,+14051234567,+919987654321\n```\n\n\n## Usage \n\n```python\nfrom truecallerpy import search_phonenumber\n\nid = "Your installationId at here"\n# To know your installation id run `truecallerpy -i` on terminal or command prompt\n\n# search_phonenumber( "PHONE_NUMBER","COUNTRY_CODE","INSTALLATION_ID")\n\nsearch_phonenumber("9912345678","IN", id)\n\n# ==> search_phonenumber("+12093031250","IN", id)\n\n```\n\n* **PHONE_NUMBER** : Number you want to search.\n* **COUNTRY_CODE** : Country code you want to use by default . If mobile number is not in **E164**(International Format) Format then **COUNTRY_CODE** will be considered as a country code of that Mobile Number.\n* **INSTALLATION_ID** : To know your InstallationId , install the package globally.\n\n## Bulk search\n\n\n```python\nfrom truecallerpy import search_phonenumber,bulk_search\n\nid = "your installation id"\n# To know your installation id run `truecallerpy -i` on terminal or command prompt\n\n# bulk_search( "DATA","COUNTRY_CODE","INSTALLATION_ID") \n\ndata = "9912345678,+14051234567,+919987654321" # phone numbers seperated by commas\n\nbulk_search(data,"IN", id)\n```\n* **DATA** : Numbers seperated by commas.\n\n## License\n\nMIT License\n\nCopyright (c) 2022 Emmadi Sumith Kumar\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the "Software"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.\n',
    'author': 'sumithemmadi',
    'author_email': 'sumithemmadi244@gmail.com',
    'maintainer': 'sumithemmadi',
    'maintainer_email': 'sumithemmadi244@gmail.com',
    'url': 'https://github.com/sumithemmadi/truecallerpy.git',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
